Skip to content
View Markdown

GET public actor instance

GET/v1/actor/{actor_id}/instances/{instance}/fetch
GET
/v1/actor/{actor_id}/instances/{instance}/fetch
curl --request GET \
--url https://api.wabe.sh/v1/actor/779742ad-cd09-4e1c-9170-f20968b344d4/instances/room-1/fetch

The application authenticates the request. Wabe routes the request to the named instance on the registration’s default disk. See the actor transport protocol.

actor_id
required
string format: uuid

Example

779742ad-cd09-4e1c-9170-f20968b344d4

Actor registration ID.

instance
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

room-1

Instance name on the selected actor and disk.

WebSocket upgrade.

Handler response. Streaming handlers can return an event stream.

Handler status, headers and body, or a broker error.